package com.mdd.admin.controller.setting;

import com.mdd.admin.aop.Log;
import com.mdd.admin.service.ISettingProtocolService;
import com.mdd.admin.validate.setting.SettingProtocolValidate;
import com.mdd.admin.vo.setting.SettingProtocolDetailVo;
import com.mdd.common.core.AjaxResult;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import javax.annotation.Resource;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping({"api/setting/protocol"})
@Api(
   tags = {"配置政策协议"}
)
public class SettingProtocolController {
   @Resource
   ISettingProtocolService iSettingProtocolService;

   @GetMapping({"/detail"})
   @ApiOperation("政策协议信息")
   public AjaxResult<SettingProtocolDetailVo> detail() {
      SettingProtocolDetailVo detail = this.iSettingProtocolService.detail();
      return AjaxResult.success(detail);
   }

   @Log(
      title = "政策协议编辑"
   )
   @PostMapping({"/save"})
   @ApiOperation("政策协议编辑")
   public AjaxResult<Object> save(@Validated @RequestBody SettingProtocolValidate protocolValidate) {
      this.iSettingProtocolService.save(protocolValidate);
      return AjaxResult.success();
   }
}
